{% load static%}
<!DOCTYPE html>
<html>
<head>

	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link rel="stylesheet" type="text/css" href="{% static 'blog/main.css' %}">

	{% if title %}
		<title>Django Blog - {{ title}}</title>
	{% else %}
		<title>Django Blog</title>
	{% endif %}
</head>
<body>
	<header class="site-header">
	  <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
	    <div class="container">
	      <a class="navbar-brand mr-4" href="{% url 'blog-home' %}">Django Blog</a>
	      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
	      <span class="navbar-toggler-icon"></span>
	      </button>
	      <div class="collapse navbar-collapse" id="navbarToggle">
	        <div class="navbar-nav mr-auto">
	          <a class="nav-item nav-link" href="{% url 'blog-home' %}">Home</a>
	          <a class="nav-item nav-link" href="{% url 'blog-about' %}">About</a>
	        </div>
	        <!-- Navbar Right Side -->
	        <div class="navbar-nav">
	        	{% if user.is_authenticated %}
	        	  <a class="nav-item nav-link" href="{% url 'post-create' %}">New Post</a>
	        	  <a class="nav-item nav-link" href="{% url 'profile' %}">Profile</a>
	        	  <a class="nav-item nav-link" href="{% url 'logout' %}">Logout</a>
	        	{% else %}
		          <a class="nav-item nav-link" href="{% url 'login' %}">Login</a>
		          <a class="nav-item nav-link" href="{% url 'register' %}">Register</a>
		        {% endif %}
	        </div>
	      </div>
	    </div>
	  </nav>
	</header>
	<main role="main" class="container">
	  <div class="row">
	    <div class="col-md-8">
	      {% if messages %}
	      	{% for message in messages %}
	      		<div class="alert alert-{{ message.tags }}">
	      			{{ message }}
	      		</div>
	      	{% endfor %}
	      {% endif %}
	      {% block content %}{% endblock %}
	    </div>
	    <div class="col-md-4">
	      <div class="content-section">
	        <h3>Sidebar</h3>
	        <p class='text-muted'>In Progress.
	          <ul class="list-group">
	            <li class="list-group-item list-group-item-light">Latest Posts</li>
	            <li class="list-group-item list-group-item-light">Most Popular Posts</li>
	            <li class="list-group-item list-group-item-light">Calendars</li>
	          </ul>
	        </p>
	      </div>
	    </div>
	  </div>
	</main>


	 <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

</body>
</html>